Page MenuHomePhabricator

Gerrit 3.2 upgrade
Open, HighPublic

Tokens
"Like" token, awarded by matej_suchanek."Barnstar" token, awarded by Majavah."Barnstar" token, awarded by Dzahn."Like" token, awarded by Volker_E."Love" token, awarded by Tgr."Like" token, awarded by MarcoAurelio."Love" token, awarded by Apap04.
Assigned To
Authored By
QChris
Jun 1 2020, 1:15 PM

Description

Parent task for all things related to the upgrade to Gerrit 3.x

Release notes for the 3.x Gerrit versions:

Related Objects

StatusSubtypeAssignedTask
ResolvedQChris
ResolvedNone
ResolvedQChris
ResolvedNone
ResolvedPaladox
OpenNone
Resolvedhashar
ResolvedNone
OpenNone
OpenQChris
ResolvedQChris
ResolvedDzahn
Resolvedthcipriani
ResolvedAklapper
ResolvedAklapper
ResolvedQChris
ResolvedDzahn
ResolvedQChris
ResolvedQChris
Resolvedjcrespo
ResolvedDzahn
ResolvedPaladox
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedBUG REPORTQChris
InvalidBUG REPORTNone
ResolvedDzahn
ResolvedBUG REPORT kostajh
ResolvedBUG REPORTQChris
ResolvedBUG REPORTQChris
InvalidBUG REPORTNone
ResolvedBUG REPORTQChris
OpenQChris
InvalidNone
OpenNone
DuplicateBUG REPORTNone
OpenNone
Resolved Nikerabbit
DeclinedBUG REPORTNone
Resolvedhashar
InvalidNone
ResolvedQChris
DeclinedNone
OpenNone
DuplicateNone
DuplicateNone
ResolvedBUG REPORTQChris
ResolvedQChris
ResolvedQChris
DeclinedNone
OpenNone
ResolvedDzahn
OpenNone
ResolvedQChris

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 606839 had a related patch set uploaded (by QChris; owner: Christian Aistleitner):
[operations/puppet@production] gerrit: Use replica instead of slave for new Gerrits

https://gerrit.wikimedia.org/r/606839

If there are issues with the mobile interface, should we report them here or upstream? I don't know if we have our own frontend CSS/JS over the standard Gerrit UI. I noticed some small things, like toggling the "Only comments" switch, don't seem to work on iOS Safari, and some of the styling seems to have regressed from the current PolyGerrit UI in Gerrit 2.x.

Change 606530 merged by Dzahn:
[operations/puppet@production] gerrit: Add option to mark gerrit servers as upgraded

https://gerrit.wikimedia.org/r/606530

Change 606531 merged by Dzahn:
[operations/puppet@production] gerrit: Mark gerrit1002 (gerrit-test) as upgraded

https://gerrit.wikimedia.org/r/606531

Change 606532 merged by Dzahn:
[operations/puppet@production] gerrit: Add dedicated home dir for new Gerrit version

https://gerrit.wikimedia.org/r/606532

Change 606536 merged by Dzahn:
[operations/puppet@production] gerrit: Stop setting up a database for new Gerrits

https://gerrit.wikimedia.org/r/606536

Change 606533 merged by Dzahn:
[operations/puppet@production] gerrit: Drop its configuration for draft changes for new Gerrits

https://gerrit.wikimedia.org/r/606533

Change 606781 merged by Dzahn:
[operations/puppet@production] gerrit: Update its-phabricator templates for new Gerrits

https://gerrit.wikimedia.org/r/606781

Change 606782 merged by Dzahn:
[operations/puppet@production] gerrit: Update email templates for new Gerrits

https://gerrit.wikimedia.org/r/606782

Change 606783 merged by Dzahn:
[operations/puppet@production] gerrit: Drop empty unused Git config file

https://gerrit.wikimedia.org/r/606783

Change 606784 merged by Dzahn:
[operations/puppet@production] gerrit: Enable git protocol v2 on new Gerrits

https://gerrit.wikimedia.org/r/606784

Change 606839 merged by Dzahn:
[operations/puppet@production] gerrit: Use replica instead of slave for new Gerrits

https://gerrit.wikimedia.org/r/606839

Change 607108 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] gerrit (cloud): set gerrit::server::is_new_version: true

https://gerrit.wikimedia.org/r/607108

Change 607108 merged by Dzahn:
[operations/puppet@production] gerrit (cloud): set gerrit::server::is_new_version: true

https://gerrit.wikimedia.org/r/607108

Change 606795 merged by Dzahn:
[operations/puppet@production] gerrit: Allow to use request tracing for new Gerrits

https://gerrit.wikimedia.org/r/606795

Change 606796 merged by Dzahn:
[operations/puppet@production] gerrit: Do not enable the ability to move changes for new Gerrits

https://gerrit.wikimedia.org/r/606796

Change 606432 had a related patch set uploaded (by Dzahn; owner: Paladox):
[operations/puppet@production] gerrit: Redirect v2.15 dashboard links to those of v3.2

https://gerrit.wikimedia.org/r/606432

Change 606432 merged by Dzahn:
[operations/puppet@production] gerrit: Redirect v2.15 dashboard links to those of v3.2

https://gerrit.wikimedia.org/r/606432

If there are issues with the mobile interface, should we report them here or upstream? I don't know if we have our own frontend CSS/JS over the standard Gerrit UI. I noticed some small things, like toggling the "Only comments" switch, don't seem to work on iOS Safari, and some of the styling seems to have regressed from the current PolyGerrit UI in Gerrit 2.x.

We use the vanilla UI from upstream with a tiny theme on top. So:

  • if functionality is broken (like the "Only comments" switch not working on iOS Safari), best to report directly upstream at https://bugs.chromium.org/p/gerrit/issues/entry?template=PolyGerrit+Issue (yes, chromium.org bugtracker. You need a Google account to report there. If you do not have one, let me know and I'll file for you.) The link I gave is for UI bugs. The site allows to choose different bug templates. Pick the one that fits best.
  • if things are not pretty (like regressed stylings that you mention), chances are we can adjust in the theme ourselves. It might be best to file in Phabricator and maybe someone skilled can update our theme accordingly.
QChris renamed this task from Gerrit 3.x upgrade to Gerrit 3.2 upgrade.Jun 26 2020, 11:17 AM
Dzahn raised the priority of this task from Medium to High.Jun 27 2020, 5:10 PM

Icinga downtime for 5:00:00 set by dzahn@cumin1001 on 1 host(s) and their services with reason: version_upgrade

gerrit1001.wikimedia.org

Icinga downtime for 5:00:00 set by dzahn@cumin1001 on 1 host(s) and their services with reason: version_upgrade

gerrit2001.wikimedia.org
Dzahn awarded a token.Jun 27 2020, 6:34 PM

18:32 < qchris> gerrit1001 should be operational from now on.

Dzahn added a comment.Jun 27 2020, 8:36 PM

From my side this looks all done. I'll let others +1 and qchris has the honors to close it :)

I have a volunteer @Privacybatm that after the upgrade he cannot send patches anymore to gerrit (cloning through SSH works for him). Could any permission have changed after the upgrade, preventing him so? He could send patches to a couple of repos and was a trusted user, but now he gets:

! [remote rejected] HEAD -> refs/publish/master (prohibited by Gerrit: not permitted: create)

We are not sure it is the upgrade, but it coinciding with the error appearing is too much of a coincidence (?) so we are reporting it here.

I have a volunteer @Privacybatm that after the upgrade he cannot send patches anymore to gerrit (cloning through SSH works for him). Could any permission have changed after the upgrade, preventing him so? He could send patches to a couple of repos and was a trusted user, but now he gets:

! [remote rejected] HEAD -> refs/publish/master (prohibited by Gerrit: not permitted: create)

We are not sure it is the upgrade, but it coinciding with the error appearing is too much of a coincidence (?) so we are reporting it here.

Very likely caused by an outdated version of git-review, after the update you need to use version 1.27 or later.

Thank you @jcrespo @Majavah I was using 1.26, Just now updated and everything is working fine, Thank you for your help!

Apap04 removed a subscriber: Apap04.Jun 29 2020, 2:54 PM

Change 606549 merged by Dzahn:
[operations/puppet@production] gerrit: remove all database parameters / support

https://gerrit.wikimedia.org/r/c/operations/puppet/ /606549

Meno25 added a subscriber: Meno25.Thu, Jul 16, 10:15 AM